package org.atea.nlptools.koreromaoriproxy.models;

import com.google.gson.annotations.SerializedName;

public final class TranscriptionResultMetadata
{
	@SerializedName("char")
	private char character;
	
	@SerializedName("prob")
	private double confidence;
	
	private double startTime;

	public TranscriptionResultMetadata() {
	}

	public TranscriptionResultMetadata(char character, double confidence, double startTime)
	{
		this.character = character;
		this.confidence = confidence;
		this.startTime = startTime;
	}
	
	public char getCharacter() {
		return character;
	}
	
	public double getConfidence() {
		return confidence;
	}
	
	public double getStartTime() {
		return startTime;
	}
}
