package org.atea.nlptools.koreromaoriproxy.exceptions;

public class ReoTuhituhiException
    extends Exception
{
    private final int statusCode;
    private final String statusMessage;

    public ReoTuhituhiException(int statusCode, String statusMessage) {
        this.statusCode = statusCode;
        this.statusMessage = statusMessage;
    }

    public ReoTuhituhiException(int statusCode, String statusMessage, String message) {
        super(message);

        this.statusCode = statusCode;
        this.statusMessage = statusMessage;
    }

    public int getStatusCode() {
        return statusCode;
    }

    public String getStatusMessage() {
        return statusMessage;
    }
}
