package org.atea.nlptools.koreromaoriproxy.models;

import java.io.IOException;
import java.io.InputStream;

import javax.servlet.http.Part;

public class AudioFilePart
{
    private TranscriptionResult result = null;

    public final String fileName;
    public final InputStream dataStream; // TODO: Use a buffered input stream here? Need to check docs on what type of stream a Part uses

    public AudioFilePart(String fileName, InputStream dataStream)
    {
        this.fileName = fileName;
        this.dataStream = dataStream;
    }

    public TranscriptionResult getTranscriptionResult()
    {
        return result;
    }

    public void setTranscriptionResult(TranscriptionResult value)
    {
        result = value;
    }

    public static AudioFilePart fromPart(Part p )
        throws IOException
    {
        return new AudioFilePart(p.getSubmittedFileName(), p.getInputStream());
    }
}
