package org.atea.nlptools.koreromaoriproxy.models;

import java.util.List;

public class TranscriptionResultDto
{
    private String fileName;
    private String log;
    private List<TranscriptionResultMetadata> metadata;
    private Boolean success;
    private String transcription;

    public String getFileName()
    {
        return fileName;
    }

    public void setFileName(String value)
    {
        fileName = value;
    }

    public String getLog()
    {
        return log;
    }

    public void setLog(String value)
    {
        log = value;
    }

    public List<TranscriptionResultMetadata> getMetadata()
    {
        return metadata;
    }

    public void setMetadata(List<TranscriptionResultMetadata> value)
    {
        metadata = value;
    }

    public Boolean getSuccess()
    {
        return success;
    }

    public void setSuccess(Boolean value)
    {
        success = value;
    }

    public String getTranscription()
    {
        return transcription;
    }

    public void setTranscription(String value)
    {
        transcription = value;
    }

    public static TranscriptionResultDto FromTranscriptionResult(TranscriptionResult res, String fileName)
    {
        TranscriptionResultDto mtr = new TranscriptionResultDto();

        mtr.setFileName(fileName);
        mtr.setLog(res.getLog());
        mtr.setMetadata(res.getMetadata());
        mtr.setSuccess(res.getSuccess());
        mtr.setTranscription(res.getTranscription());

        return mtr;
    }
}
